//#pragma GCC optimize("unroll-loops, Ofast")
//#pragma GCC target("sse,sse2,avx,avx2")

#include <bits/stdc++.h>

using namespace std;
mt19937 rnd(25892);
const int inf = 1e9;
int n, m;
vector<int> a, b, c;

void solve() {
    int n, m, G;
    cin >> n >> m >> G;
    cout << m - n + 2 << "\n";
    cout << 1 << "\n";
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int _ = 1;
    //cin >> _;
    while (_--) {
        solve();
    }
    return 0;
}
